*{
  margin: 0;
  padding: 0;
  font-family: 'DM Serif Display', serif;
  font-weight: normal;
  font-style: italic;
}

body {
  min-height: 100%;
  background-color: black;
  color: white;
}

/*Clase centrado para el contenido de la onepage*/
.centrado {
  width: 80%;
  margin: 0 auto;
}

/* SCROLL ACOMPAÑANDO EL FIXED */

.scroll {
  padding-top: 10em;
}

/* DEFINICIÓN DE FORMATOS DE TEXTO */

h1{
  text-align: center;
  letter-spacing: 1em;
  background-color: white;
  color:black;
  text-transform: uppercase;
  transition: background-color 1s, color 1s;
}

h1:hover {
  background-color: black;
  color: white;
}

h2 {
  font-weight: 600;
  font-size: 10em;
  font-family: 'Saira Stencil One';
  text-transform: uppercase;
  font-style: normal;
  font-weight: normal;
  background: url(img/background2.png);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

h3 {
  font-size: 4em;
  font-family:'DM Serif Display';
  font-style: italic;
  text-align: center;
  font-weight: normal;
  margin-top: 1em;
  padding-bottom: 0.5em;
  border-bottom: 0.1em solid;
  transition: background-color 1s, color 1s;
}

h3:hover {
  color: black;
  background-color: white;
}

p{
  font-size: 1.5em;
}

.empty{
  font-size: 11em;
  text-align: center;
  letter-spacing: 0.3em;
  -webkit-text-fill-color: black;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: white;
  text-transform: uppercase;
}


/* ---- */

.menu-mobile {
  display: none;
}

.desplegable {
  display: none;
}

.fixed {
  position: fixed;
  overflow: hidden;
  display: inline-block;
  width: 100%;
  background-color: black;
  z-index: 1;
}

header{
  padding: 1em 4em;
  background-color: black;
}

nav ul {
  text-align: center;
  display: flex;
  justify-content: space-between;
  list-style-type: none;
}

nav ul li {
  display: flex;
  align-items: center;
}

nav ul li a{
  display: flex;
  flex-direction: column;
  align-items: center;
  font-family: 'Saira Stencil One';
  letter-spacing: 0.2em;
  font-size: 1.5em;
  color: white;
  font-style: normal;
  text-transform: uppercase;
  text-decoration: none;
  transition: color 1s;
}

nav ul li a:hover {
  color: pink;
}

header nav ul li a img{
  display: flex;
  margin: 0 1em;
  width: 10em;
}

.menu-sobre-mi a {
  display: flex;
  flex-direction: row;
}

.menu-sobre-mi img {
  margin: 0 1em;
  width: 2em;
}

.menu-trabajos a {
  display: flex;
  flex-direction: row;
}

.menu-trabajos img {
  margin: 0 1em;
  width: 2em;
}

.menu-cv a {
  display: flex;
  flex-direction: row;
}

.menu-cv img {
  margin: 0 1em;
  width: 2em;
}

.menu-contacto a {
  display: flex;
  flex-direction: row;
}

.menu-contacto img {
  margin: 0 1em;
  width: 2em;
}

/* --- */

.portada{
  display: flex;
  justify-content: space-between;
  text-align: center;
  padding: 4em;
}

.portada h2{
  font-size: 11em;
}

.perfil p{
  max-width: 13em;
  min-width: 10em;
}

.perfil figure img{
  padding-top: 3em;
  width: 60%;
  filter: grayscale(100%);
  transition: filter 1s, transform 1s;
}

.perfil figure img:hover {
  padding-top: 3em;
  width: 60%;
  filter: grayscale(50%);
  transform: scale(1.2);
}

.frase {
  display: flex;
  flex-direction: column;
  align-items: center;
  text-align: center;
}

.frase p{
  padding-top: 1em;
  margin-top: 1em;
}


.mike{
  display: flex;
  padding: 0.5em;
  margin-left: 3em;
  justify-content: center;
}

.mike figure img{
  height: 12em;
}


.sobremi {
  display: flex;
  justify-content: space-between;
  margin-top: 4em;
}

.sobremi>figure img {
  width: 20em;
}

.sobremi article p{
  padding: 1em;
  font-size: 2em;
  font-family: 'DM Serif Display;';
  font-style: italic;
  text-align: center;
  max-width: 15em;
}


.sobremi-imagenes figure img {
  width: 15em;
  padding: 2em;
  filter: grayscale(100%);
}

.mobile-sobre-mi {
  display: none;
}

/* ---- */

.trabajos {
  padding: 0 2.5em;
  display: flex;
  justify-content: left;
  flex-wrap: wrap;
}

.trabajos article {
  width: 18em;
  height: 20em;
  background-size: cover;
  filter: grayscale(100%);
  transition: 1s
}

.trabajos article:hover {
  filter: grayscale(0%);
  transition: 1s
}

.trabajos article p {
  height: 40%;
  display: none;
  flex-direction: column;
  justify-content: center;
  text-align: center;
  color: black;
  background-color: white; opacity:0.8;
}

.trabajos article:hover p {
  display: flex;
}


.bajada{
  height: 4em;
  font-size: 2em;
  text-align: center;
  padding-top: 2em;
}

.leer-mas {
  display: flex;
  justify-content: center;
}

.leer-mas a {
  display: flex;
  font-size: 1.5em;
  font-family: 'Archivo Black', sans-serif;
  font-style: normal;
  text-transform: uppercase;
  letter-spacing: 0.2em;
  text-align: center;
  text-decoration: none;
  color: black;
  width: 5em;
  height: 5em;
  border-radius: 100%;
  background-image: url(img/background2.png);
  align-items: center;
}


#trabajo1 {
  background-image: url(img/cartel.png);
}
#trabajo2 {
  background-image: url(img/bolsa.png);
}
#trabajo3 {
  background-image: url(img/cd.png);
}
#trabajo4 {
  background-image: url(img/tarjeta.png);
}
#trabajo5 {
  background-image: url(img/tipografia1.png);
}
#trabajo6 {
  background-image: url(img/rada.png);
}
#trabajo7 {
  background-image: url(img/cartas.png);
}
#trabajo8 {
  background-image: url(img/tipografia2.png);
}
#trabajo9 {
  background-image: url(img/patron.png);
}
#trabajo10 {
  background-image: url(img/parquerodo.png);
}

/* --- */


.ultimos-trabajos{
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.ultimos-trabajos figure img{
  display: block;
}

.mockup {
  width: 100%;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
}

.mockup figure img {
  width: 100%;
}

.colores {
  max-width: 55%;
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  flex-wrap: wrap;
  flex-grow: 1;
}

.colores div {
  max-width: 100%;
  display: flex;
  justify-content: space-between;
}

.colores span {
  font-family: 'Archivo Black', sans-serif;
  text-align: center;
  font-style: normal;
  letter-spacing: 0.4em;
  display: inline-block;
  width: 10em;
  height: 10em;
  border-top: 1em white solid;
  transition: width 1s;
}

.colores span:hover {
  width: 20em;
}

#color1 {
  background-color: #3C038C;
}

#color2{
  background-color: #0E0326;
}

#color3{
  background-color: #05DBF2;
}

#color4{
  background-color: #F2B705;
}

#color5{
  background-color: #F28705;
}

#color6{
  background-color: #FF00C7;
}

#color7{
  background-color: #00C446;
}

#color8{
  color: black;
  background-color: #FFF;
}

.miniaturas-mockup-2{
  display: none;
}

.miniaturas-mockup{
  margin-top: 2em;
  display: flex;
  flex-wrap: wrap;
  justify-content: space-around;
  min-width: -webkit-fill-available;
}

.miniaturas-mockup figure {
  margin-top: 2em;
}

.comentarios {
  display: flex;
  justify-content: space-between;
  color: black;
  background-color: white;
  margin: 4em 0;
}

.comentarios p {
  padding: 0.5em;
  font-style: normal;
  font-weight: normal;
}


#ampliacion {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding-top: 4em;
}

#ampliacion article {
  min-width: 25%;
}

#ampliacion article h4{
  justify-content: space-between;
  text-align: center;
}

#ampliacion {
  display: none;
  animation: ampliacion 3s;
}

#ampliacion:target {
  display: flex;
}


@keyframes ampliacion{
  /*fotogramas clave*/
  from{
    opacity: 0;
    transform: translateY(-50%);
  }
  to{
    opacity: 1;
    transform: translateY(0%);
  }
}

@-webkit-keyframes ampliacion{
  /*fotogramas clave*/
  from{
    opacity: 0;
  }
  to{
    opacity: 1;
  }
}

.resumen{
  max-width:20em;
  text-align: justify;
}

.resumen p{
  margin-top: 2em;
}


.iconos figure img{
  width: 120%;
}

.fuentes figure img{
  width: 120%;
}

.info{
  font-family: 'Archivo Black', sans-serif;
  font-weight: 600;
  font-size: 4em;
  text-transform: uppercase;
  font-style: normal;
  font-weight: normal;
  -webkit-text-fill-color: black;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #05DBF2;
}

.icons{
  font-family: 'Archivo Black', sans-serif;
  font-weight: 600;
  font-size: 4em;
  text-transform: uppercase;
  font-style: normal;
  font-weight: normal;
  -webkit-text-fill-color: black;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #FF00C7;
}

.fonts{
  font-family: 'Archivo Black', sans-serif;
  font-weight: 600;
  font-size: 4em;
  text-transform: uppercase;
  font-style: normal;
  font-weight: normal;
  -webkit-text-fill-color: black;
  -webkit-text-stroke-width: 1px;
  -webkit-text-stroke-color: #3C038C;
}

/* -- */

.skills {
  color: white;
}

.skills li {
  list-style-type: none;
  margin-top: 3em;
}

.skills li p {
  font-family: 'Archivo Black', sans-serif;
  font-style: normal;
  text-transform: uppercase;
  letter-spacing: 0.2em;
}

.skills ol li{
  margin-right: 1em;
}

.skills > div{
  display: flex;
  justify-content: space-between;
  margin: 6em 0em 10em 0em;
}

.barra {
  margin-top: 1em;
  background: #E6007E;
  display: block;
  width: 35em;
  height: 1.5em;
  border-radius: 3em;
  overflow: hidden;
  -webkit-box-shadow: 0.1em 0em 1em 0.1em #E6007E;
  box-shadow: 0.1em 0em 1em 0.1em #E6007E;
}

.barra span {
  height: 1.5em;
  float: left;
  background: white;
  border-radius: 3em;
  animation: barra 5s infinite;
}

@keyframes barra {
  from{
    transform: translateX(-100%);
  }
  to{
    transform: translateX(0);
  }
}


.html, .css3 {
  width: 95%;
}

.psd, .ai {
  width: 99%
}

.ind {
  width: 80%
}

.prototipado {
  width: 99%
}

.packaging {
  width: 75%
}

.tipografia{
  width: 85%
}

/* --- */

.titulo-contacto:hover {
  color: pink;
}

.titulo-contacto{
  padding: 0;
  color: black;
  width: 100%;
  background-image: url(img/background2.png);
  background-repeat: repeat;
}

#formulario {
  min-width: 60%;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  margin: 2em;
}
#formulario input {
  width: 10em;
  color: white;
  font-size: 2em;
  border: none;
  padding: 1em 0em;
  background: transparent;
  border-bottom: 0.1em white solid;
}


#formulario label {
  font-size: 2em;
  background: transparent;
}

#formulario textarea {
  margin:0 2em 2em 2em;
  width: 20em;
  height: 3.5em;
  resize: none;
  font-size: 2em;
  color: white;
  padding: 1em;
  background-image: url(img/background.png);
  background-size: cover;
  border: 0.1em solid;

}

.mensaje label{
  margin: 0 2em;
  padding: 1em 0;
}

.datos{
  display: flex;
  flex-direction: column;
}

.datos ::placeholder{
  margin: 0 2em;
}

.datos input:last-child{
  margin-top: 2.1em;
}

.datos input:focus, .datos textarea:focus{
  outline: 0;
}

.mensaje{
  display: flex;
  flex-direction: column;
}

.boton {
  display: flex;
  align-items: center;
  margin-top: 2.5em;
  transition: transform 1s;
}

.boton:hover {
  transform: rotate(360deg);
}


#formulario input[value="Enviar"] {
  width: 4em;
  height: 5.6em;
  color: black;
  background-color: white;
}

/* FOOTER */

footer {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 4em;
  color: black;
  background-image: url(img/background2.png);
}

footer a, footer a:visited{
  color: black;
}

footer .fa {
  font-size: 2.5em;
  text-decoration: none;
  padding:0 1em;
  transition: color 1s;
}

footer .fa:hover {
  color: pink;
}

/* ---- */

/* BREAKPOINTS */


@media only screen and (max-width: 1199px) {

  .centrado {
    width: 100%;
    margin: 0 auto;
  }

  .scroll {
    padding-top: 0;
  }

  .fixed {
    position: relative;
  }

  .centrado {
    width: 100%;
    margin: 0 auto;
  }

  .fixed {
    position: relative;
  }

  header {
    padding: 0;
  }

  h1 {
    letter-spacing: 0.5em;
  }

  .portada h2 {
    font-size: 5em;
    margin: 0.5em;
  }

  h3 {
    font-size: 4em;
    font-family:'DM Serif Display';
    font-style: italic;
    text-align: center;
    font-weight: normal;
    margin-top: 1em;
    padding-bottom: 0.5em;
    border-bottom: 0;
  }

  .empty {
    font-size: 8em;
  }


  .menu-desktop {
    display: none;
  }

  .menu-mobile {
    display: flex;
    justify-content: center;
  }

  .menu-mobile nav {
    padding: 3em;
  }

  .hamburguesa {
    position: fixed;
  }

  .hamburguesa span {
    display: flex;
    width: 100%;
    height: 0.1em;
    background-color: white;
    float: right;
    margin: 1em 1em;
    position: absolute;
    transition: all .3s ease;
    opacity: 1;
  }

  .hamburguesa  span:nth-of-type(2) {
    top: 7px;
  }

  .hamburguesa span:nth-of-type(3) {
    top: 14px;
  }

  .hamburguesa:hover span:nth-of-type(1) {
    transform: rotate(45deg);
    top: 6px;
    background-color: #FCD2F0;
  }

  .hamburguesa:hover span:nth-of-type(2) {
    opacity: 0;
  }

  .hamburguesa:hover span:nth-of-type(3) {
    transform: rotate(-45deg);
    top: 6px;
    background-color: #FCD2F0;
  }

  .contenedor-bigmac {
    height: 3em;
    background: black;
    position: fixed;
    width: 100%;
  }

  .bigmac {
    position: fixed;
    width: 2em;
    height: 2em;
    cursor: pointer;
    display: inline-block;
  }

  .desplegable {
    display: none;
    position: fixed;
    background-color: white;
    justify-content: left;
    margin-top: 3em;
    z-index: 1;
  }

  .desplegable nav {
    display: flex;
    justify-content: space-around;
    margin: 2em;
  }


  .desplegable nav ul {
    flex-direction: column;
  }

  .desplegable nav ul li {
    padding: 1em;
  }

  .desplegable a {
    color: black;
    font-family: 'DM Serif Display', serif;
    font-style: normal;
    border-bottom: 0.1em solid black;
  }


  .hamburguesa:hover .desplegable{
    display: block;
  }

  .mike {
    flex-direction: row;
  }

  .trabajos {
    justify-content: center;
  }

  .colores {
    max-width: 45%;
  }

  .miniaturas-mockup {
    display: none;
  }

  .miniaturas-mockup-2 {
    display: flex;
    flex-direction: row;
    min-width: 100%;
    justify-content: space-around;
  }

  .miniaturas-mockup-2 figure {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-top: 2em;
  }

  .leer-mas{
    display: none;
  }

  #ampliacion {
    display: none;
  }

  #ampliacion:target {
    display: none;
  }



  .skills > div{
    flex-direction: row;
    margin: 0 0 5em 0;
    padding: 2em;
  }

  .skills div ol{
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
  }


  .barra {
    width: 20em;
  }


  #formulario input{
    width: 20em;

  }

  #formulario input[value="Enviar"] {
    width: 20em;
    height: 100%;
    color: black;
    background-color: white;
  }

  #formulario textarea {
    width: 19em;
    padding: 0.5em;
  }

  .datos input:last-child {
    margin-top: 0;
  }

  .boton {
    margin-top: 0;
  }

}


@media only screen and (max-width: 945px) {

  .mike {
    flex-direction: column;
  }


  .sobremi{
    display: flex;
    flex-direction: column;
  }

  .mobile-sobre-mi {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  .desktop-sobre-mi {
    display: none;
  }

  .sobremi figure img {
    width: 50%;
  }

  .cabeza {
    display: flex;
    justify-content: center;
  }

  .sobremi-imagenes-mobile {
    display: flex;
    flex-direction: row;
  }

  .sobremi-imagenes-mobile figure img{
    width: 80%;
  }


}

@media only screen and (max-width: 767px) {


  .portada h2{
    display: none;
  }

  .empty{
    display: none;
  }

  .portada{
    flex-wrap: wrap;
    flex-direction: column;
    text-align: center;
    align-items: center;
    padding: 0;
  }

  .mike {
    width: 100%;
    margin-left: 0;
    padding: 0;
  }


  .sobremi-imagenes figure img {
    padding: 1em;
  }

  .bajada {
    height: 3em;
    color: black;
    background-color: white;
    padding: 0;
    vertical-align: middle;
  }

  .trabajos {
    padding: 0;
    margin-top: 2em;
  }

  .trabajos article {
    width: 50%;
    height: 28em;
    background-size: cover;
  }

  .mockup {
    justify-content: space-between;
  }

  .colores {
    max-width: 100%;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    flex-wrap: wrap;
    flex-grow: 1;
  }

  .ultimos-trabajos figure {
    width: 100%;
    margin-top: 2em;
  }

  .ultimos-trabajos figure img {
    width: 100%;
  }

  .colores {
    max-width: 100%;
  }

  .colores span{
    letter-spacing: 0;
    margin-top: 2em;
  }



  .comentarios {
    display: flex;
    flex-direction: column;
  }

  .comentarios p {
    text-align: center;
  }



  .skills div{
    flex-direction: column;
    margin: 0 0 5em 0;
  }

  .skills div ol  {
    display: flex;
    flex-direction: column;
    text-align: center;
    align-items: center;
  }


  #formulario input {
    width: 10em;

  }

  #formulario input[value="Enviar"] {
    width: 10em;
    height: 100%;
    color: black;
    background-color: white;
  }

  #formulario textarea {
    width: 9em;
    padding: 0.5em;
  }

  .datos input:last-child {
    margin-top: 0;
  }

  .boton {
    margin-top: 0;
  }
}

@media only screen and (max-width: 480px) {

  .trabajos article {
    width: 50%;
    height: 17em;
    background-size: cover;
  }

  #formulario input {
    text-align: center;
  }

  #formulario textarea {
    margin: 0;
  }

  .mensaje {
    text-align: center;
  }

  .boton {
    margin-top: 1em;
  }

  .miniaturas-mockup{
    display: flex;
  }

  .miniaturas-mockup-2 {
    display: none;
  }


}
